



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Hausdorff Distance(豪斯多夫距离)</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Hausdorff Distance(豪斯多夫距离)</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-24 06:06:46 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>　　Hausdorff Distance(豪斯多夫距离)</p>
<p>参考博客：<br />http://cgm.cs.mcgill.ca/~godfried/teaching/cg-projects/98/normand/main.html</p>
<p>理解：</p>
<p>　　Hausdorff距离是描述两组点集之间相似程度的一种量度，它是两个点集之间距离的一种定义形式。</p>
<p>　　假设有两组集合A={a1,&hellip;,ap},B={b1,&hellip;,bq},则这两个点集合之间的Hausdorff距离定义为</p>
<p>　　H(A,B)=max(h(A,B),h(B,A)) &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;(1)</p>
<p>　　其中,</p>
<p>　　h(A,B)=max（a&isin;A）min（b&isin;B）‖a-b‖ &nbsp; &nbsp; (2)</p>
<p>　　h(B,A)=max（b&isin;B）min（a&isin;A）‖b-a‖ &nbsp; &nbsp; (3)</p>
<p>　　‖&middot;‖是点集A和B点集间的距离范式(如:L2或Euclidean距离).</p>
<p>　　这里,式(1)称为双向Hausdorff距离,是Hausdorff距离的最基本形式;式(2)中的h(A,B)和h(B,A)分别称为从A集合到B集合和从B集合到A集合的单向Hausdorff距离.即h(A,B)实际上首先对点集A中的每个点ai到距离此点ai最近的B集合中点bj之间的距离‖ai-bj‖进行排序,然后取该距离中的最大值作为h(A,B)的值.h(B,A)同理可得.</p>
<p>　　由式(1)知,双向Hausdorff距离H(A,B)是单向距离h(A,B)和h(B,A)两者中的较大者,它度量了两个点集间的最大不匹配程度.</p>
<p>以下是参考文献的摘录：</p>
<p><strong>1.Introduction</strong><br />	 　　When talking about distances, we usually mean the shortest : for instance, if a point X is said to be at distance D of a polygon P, we generally assume that D is the distance from X to the nearest point of P..</p>
<p>　　The same logic applies for polygons : if two polygons A and B are at some distance from each other, we commonly understand that distance as the shortest one between any point of A and any point of B.</p>
<p>　　Formally, this is called a minimin function, because the distance D between A and B is given by :</p>
<p>　　&nbsp;<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309003626132-424714332.png" /></p>
<p>　　即 A集合中的任一点ai 到集合B中的任意点的最短的距离di，然后在这些距离di中选择距离最短的，即作为两个集合A与B的距离。</p>
<p>　　That definition of distance between polygons can become quite unsatisfactory for some applications （并不适用于描述两个多边形的位置关系）;&nbsp; let's see for example fig. 1.&nbsp; We could say the triangles are close to each other considering their shortest distance, shown by their red vertices. However, we would naturally expect that a small distance between these polygons means that no point of one polygon is far from the other polygon. &nbsp; In this sense, the two polygons shown in fig. 1 are not so close, as their furthest points, shown in blue, could actually be very far away from the other polygon. Clearly, the shortest distance is totally independent of each polygonal shape.</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309004112829-1764520775.png" /></p>
<p>　　另一个例子：</p>
<p>　　Another example is given by fig. 2, where we have the same two triangles at the same shortest distance than in fig. 1, but in different position.&nbsp; It's quite obvious that the shortest distance concept carries very low informative content, as the distance value did not change from the previous case, while&nbsp;<em>something</em>&nbsp;did change with the objects.</p>
<p>　　两个多边形的最短距离提供的信息很少。 如下图，与图1同样最短距离的两个多边形的位置却不同。</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309004407327-1035348735.png" /></p>
<p>　　因此：</p>
<p>　　 定义<strong>Hausdoff Distance 距离可以捕捉两个多边形的细微之处， 因此要忽略其最短距离</strong>。</p>
<p>2.&nbsp; Hausdoff Distance 定义</p>
<p>　　More formally, Hausdorff distance from set A to set B is a&nbsp;<em>maximin</em>&nbsp;function, defined as</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309004754798-290120466.png" /></p>
<p>　　where a and b are points of sets A and B respectively, and d(a, b) is any&nbsp;<a href="http://cgm.cs.mcgill.ca/~godfried/teaching/cg-projects/98/normand/glossary.html#metric" rel="external nofollow noreferrer">metric</a>&nbsp;between these points ; for simplicity, we'll take d(a,&nbsp;b) as the Euclidian distance between a and b. If for instance A and B are two sets of points, a brute force algorithm would be&nbsp;:</p>
<p>　　即： 即 A集合中的任一点ai 到集合B中的任意点的最短的距离di，然后在这些距离di中选择距离<strong>最长（远）</strong>的，即作为两个集合A与B之间的Hausdoff Distance。</p>
<div>
<pre class="prettyprint linenums">Brute force algorithm :<br />
.  h =<br />
.  for every point ai of A,<br />
      2.1  shortest = Inf ;<br />
      2.2  for every point bj of B<br />
                    dij = d (ai , bj )<br />
                    if dij &lt; shortest then<br />
                              shortest = dij<br />
      2.3  if shortest &gt; h then // 记录每个ai 到B中的所有点中最小的<br />
                    h = shortest </pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309005313592-1149055156.png" /><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309005332578-1582696720.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309005403418-674251695.png" /><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309005420839-379615483.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309005438003-1433966433.png" /><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309005504517-1246908843.png" /></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309005518888-1471926000.png" /><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309005529347-1083755267.png" /></p>
<p>　　算法的时间复杂度是：O（nm）</p>
<p>　　&middot;<strong>This algorithm obviously runs in O(n m) time, with n and m the number of points in each set. </strong></p>
<p><strong>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 注意：</strong></p>
<p><strong>　　（1）Hausdoff Distance 是非对称的， 即单向的。是由方向的。h(A,B) 称为forward <strong>Hausdoff Distance</strong>， h(B, A)称为Backward <strong>Hausdoff Distance</strong>。<br /></strong></p>
<p><strong>　　（2）如果A， B是多边形，而不是离散的点集， Hausdoff Distance同样适用。 即H(A， B)适应于所有多边形，线段定义的点集。<br /></strong></p>
<p><strong>　　（3）<strong>Hausdoff Distance</strong>给出了两个多边形相互接近的程度， 即，一个多边形（点集）到另一个多边形（点集）最大距离。这与最短距离的定义不同，因为其仅适用于每个多边形的一个点，而不考虑多边形的所有其他点。</strong></p>
<p><strong>　　（4）直观的理解就是：Hausdoff Distance 对两个多边形的位置距离敏感，而不敏感于多边形位置之间的最短距离。<br /></strong></p>
<p><strong>　　如下图： 两个多边形制件的Hausdoff Distance 是截然不同的。<br /></strong></p>
<p><strong><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309010528270-1653746990.png" /></strong></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309010537788-930269642.png" /></p>
<p>3. Hausdoff Distance的计算</p>
<p>假定：</p>
<p>　（1）假定两个多边形是简单的凸多边形；</p>
<p>　（2）两个多边形制件不相接处，即相交，也不互相包含。</p>
<p>基础概念：</p>
<p><strong>（1）单调链： 链条C（连续的边）如果是在D方向上是单调的， 则与D方向正交的直线L 与C的交点只有一个，则说明C在D向是单调的。</strong></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309011756134-673258568.png" /></p>
<p>（2）<strong>Supporting line</strong>（支撑线）</p>
<p>　　直线L通过多边形P中的某个点， 如果多边形P的内部区域完全在L的一侧， 则该L是一条支撑线</p>
<p>　　注意： 支撑线L是切片的泛化形式。</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309012151035-1683998801.png" /></p>
<p><strong>&nbsp;引理：</strong></p>
<p><strong>　　we assume two points&nbsp;<em>a</em>&nbsp;and&nbsp;<em>b</em>&nbsp;that belong respectively to polygons A and B, such that :</strong></p>
<p><strong>d (<em>a</em>,&nbsp;<em>b</em>) = h (A, B)</strong></p>
<p>　　即： a是多边形A（点集）中距离多边形B最远的点。 而b是多边形B（点集）中距离多边形A最近的点。</p>
<p>　<strong>引理（1.1）The perpendicular to&nbsp;<em>ab</em>&nbsp;at&nbsp;<em>a</em>&nbsp;is a&nbsp;<a href="http://cgm.cs.mcgill.ca/~godfried/teaching/cg-projects/98/normand/glossary.html#supporting line" rel="external nofollow noreferrer">supporting line</a>&nbsp;of A, and A is on the same side as B relative to that line.</strong></p>
<p><strong>　　垂直于两个点a，b且在定a位置的多边形A的支撑线，则相对于该支撑线，则B也在同侧。</strong></p>
<p><strong>　　因为：从Hausdoff Distance定义中，则点a 出的直线必然是多边形A的&ldquo;支撑线&rdquo; ，且，As illustrated below, if&nbsp;<em>a</em>&nbsp;is the furthest point of A relative to&nbsp;<em>b</em>, then a circle C centered at&nbsp;<em>b</em>&nbsp;and of radius&nbsp;<em>ab</em>&nbsp;will completely enclose A. Because C contains all points of A, then its tangent to&nbsp;<em>a</em>&nbsp;is a supporting line of A.<br /></strong></p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309012832715-614536582.png" /></p>
<p><strong>　　引理（1.2）：The perpendicular to&nbsp;<em>ab</em>&nbsp;at&nbsp;<em>b</em>&nbsp;is a supporting line of B, and&nbsp;<em>a</em>&nbsp;and B are on different sides relative to that line</strong></p>
<p><strong>　　垂直于ab 且位于b点的垂线是B多边形的支撑线。 且 a 和B在该线的不同侧。<br /></strong></p>
<p><strong>　　&nbsp;证明：If&nbsp;<em>b</em>&nbsp;is the closest point of B from&nbsp;<em>a</em>, then a circle C of radius&nbsp;<em>ab</em>centered at&nbsp;<em>a</em>&nbsp;contains only one point of B, namely&nbsp;<em>b</em>.&nbsp; The tangent to C is thus a supporting line of B.</strong></p>
<p><strong>　　</strong></p>
<p><strong>　　<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309013508503-1975710989.png" /></strong></p>
<p><strong>　　引理（2）There is a vertex&nbsp;<em>x</em>&nbsp;of A such that the distance from&nbsp;<em>x</em>&nbsp;to B is equal to h&nbsp;(A, B).</strong></p>
<p>　　A 中存在一点x，且x 到B的距离与 h(A,B)相等。</p>
<p>　　证明：a line going from a vertex&nbsp;<em>b</em>&nbsp;of a triangle&nbsp;<em>abc</em>&nbsp;to some point that belongs to the opposite side&nbsp;<em>&szlig;</em>&nbsp;is always shorter than one of&nbsp;<em>ab</em>&nbsp;or&nbsp;<em>cb</em>, or both.</p>
<p>　　&nbsp;<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309015515608-1096782803.png" /></p>
<p><strong>　　引理（3）</strong></p>
<p>4. 算法：</p>
<p>　　因为引理2，<em>则没有必要计算出开始多边形的每一个点</em>， 仅仅计算多边形的&ldquo;顶点&rdquo;即可。</p>
<p><em>情况一：</em></p>
<p><strong>　注意： 算法最近点只能是目标多边形的顶点，或者是垂直于目标多边形某条边的垂点z</strong>。因此，要检查是否存在最近的点。</p>
<div>
<pre class="prettyprint linenums">Function z = CheckForClosePoint (a, b1 , b2 ) :</pre>
</div>
<p>　　Compute the position&nbsp;<em>z</em>&nbsp;where the line that passes through b<sub>1</sub>&nbsp;and b<sub>2</sub>&nbsp;crosses its perpendicular through&nbsp;<em>a</em><sub>&nbsp;</sub>&nbsp;;</p>
<p>　　计算垂直于穿过b1，b2的直线，且经过点a的位置c。</p>
<p>　　过程： 如果z是b1，b2中间的点，则返回z， 否则再计算b2点处的直线P（出至于直线a，b2）是否是多边形B的&ldquo;支撑线&rdquo;，如果是，则返回b2，否则返回Null。</p>
<div>
<pre class="prettyprint linenums">if z is between b1 b2 then return z ;<br />
else compute at b2 a line P perpendicular to the line ab2 ;<br />
        if P is a supporting line of B then return b2 ;<br />
        else return NULL. </pre>
</div>
<p><em>主程序</em>：</p>
<p>　<strong>　开始计算主程序， </strong></p>
<p><strong>　　注意：所有多边形的顶点序列都是通过&ldquo;逆时针&rdquo;的顺序列出。</strong></p>
<div>
<pre class="prettyprint linenums">Algorithm for computing h(A, B) :<br /><em>（枚举ai 到B中的最近距离di）<br />
</em>.  From a1, find the closest point b1 and compute d1 = d ( a1, b1 )<br />
.  h(A, B) = d1<br />
.  for each vertex ai of A,<br />　　<em>（因为是逆时针依次遍历A中的点集序列，而bi则根据ai+1情况进行相应移动）</em><br />
      3.1  if ai+ is to the left of aibi<br />
                     find bi+ , scanning B counterclockwise with CheckForClosePoint from bi<br />
           if ai+ is to the right of aibi<br />
                     find bi+ , scanning B clockwise with CheckForClosePoint from bi<br />
           if ai+ is anywhere on aibi<br />
                      bi+ = bi<br />　　　　<em>（更新当前距离di+1）<br />
      </em>3.2  Compute di+ = d (ai+ , bi+ )<br />　　　　<em>（始终取值为每次更新的最大值）</em><br />
      3.3  h (A, B) = max { h (A, B), di+ }</pre>
</div>
<p>因为：<em>多边形是简单凸多边形，且逆时针，在遍历的时候ai， ai+1 必然会发生&ldquo;转向&rdquo;，这个过程有三种情况</em></p>
<p><em>（1）ai+1 在 aibi 直线的左边， 则遍历ai+1趋势继续&ldquo;单调&rdquo;， 因为为了找到最近的点， 则要【<em><em>逆时针</em>移动</em>】B中当前点bi的下一个点bi+1 的距离判断（check）此点bi+1；</em></p>
<p><em>（2）<em>ai+1 在 aibi 直线上， 则遍历ai+1即将不在&ldquo;单调&rdquo;，此刻必然ai +1 到bi的距离发生变化，为了<em>找到最近的点</em>，则此时将bi+1 视为bi，需要重新更新距离；<br /></em></em></p>
<p><em><em>（3）<em>ai+1 在 aibi 直线的右边， 与情况（1）相反， 则，为了找到最近的点，需要【顺时针移动】B中的bi的下一个bi+1点，然后cheke此点bi+1&rdquo;</em></em></em></p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309021845461-1386819399.png" /></p>
<p><strong>&nbsp;5. 复杂度分析</strong></p>
<p>If polygons A and B respectively have n and m vertices, then :</p>
<ul><li>Step 1 can clearly be done in O(m) time ;</li>
<li>Step 2 takes constant time O(1) ;</li>
<li>Step 3 will be executed (n-1) times, that is O(n) ;</li>
<li>Step 3.1 will not be executed&nbsp;<em>in total</em>&nbsp;more than O(2m). This is a consequence of lemma 3, which guarantees that polygon B can not be scanned more than twice ;</li>
<li>Steps 3.2 and 3.3 are done in constant time O(1) ;</li></ul>
<p>So the algorithm for computing<strong> h(A, B) </strong>takes :　　<br />　　O(m) + O(n) + O(2m) = O(n+m)</p>
<p>To find<strong> H(A, B),</strong> the algorithm needs to executed twice ;&nbsp; the total complexity for computing Hausdorff distance then stays linear to O(n+m).</p>
<p><strong>&nbsp;6. 案例分析</strong></p>
<p>　　Hausdorff distance 应用是图像匹配，如图像分析，机器人的视觉导航，电脑辅助手术，</p>
<p>　　&nbsp;Basically, the Hausdorff metric will serve to check if a template image is present in a test image ; &nbsp;the lower the distance value, the best the match.That method gives interesting results, even in presence of noise or occlusion (when the target is partially hidden).</p>
<p>　　<img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309030128438-736306411.png" /></p>
<p>　　We want to find if the small image is present, and where, in the large image. The first step is to extract the edges of both images, so to work with binary sets of points, lines or polygons :</p>
<p>　　Edge extraction is usually done with one of the many edge detectors known in image processing, such as Canny edge detector, Laplacian, Sobel, etc. After applying<a href="http://www.englib.cornell.edu/thesesabstracts/January95/rucklidge.html" rel="external nofollow noreferrer">Rucklidge's algorithm</a>&nbsp;that minimizes Hausdorff distance between two images, the computer found a best match :</p>
<p><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309030242386-1407330305.png" /><img referrerpolicy="no-referrer"src="https://images2018.cnblogs.com/blog/700384/201803/700384-20180309030250384-872735303.png" /></p>
<p>For this example, at least 50 % of the template points had to lie within 1 pixel of a test image point, and vice versa. Some scaling and skew were also allowed, to prevent rejection due to a different viewing angle of the template in the test image (these images and results come from&nbsp;<a href="http://www.ai.mit.edu/people/leventon/" rel="external nofollow noreferrer">Michael Leventon's</a>&nbsp;pages). Other algorithms might allow more complicated geometric transformations for registering the template on the test image.</p>
<p>an online demo is definitely beyond the scope of this Web project&nbsp;<strong>!</strong>&nbsp; So here are some Web resources about image matching with Hausdorff distance :</p>
<ul><ul><li><a href="http://www.cs.cornell.edu/vision/hausdorff/hausmatch.html" rel="external nofollow noreferrer">Hausdorff-based image comparison</a>&nbsp;<br />A<sup>&nbsp;</sup>vision project that uses the&nbsp;<a href="http://www.cs.cornell.edu/vision/hausdorff/hausdist.html" rel="external nofollow noreferrer">generalized Hausdorff distance</a><br />to locate a template image in an indoor scene.</li>
<li><a href="http://www.neuroinformatik.ruhr-uni-bochum.de/ini/PROJECTS/COMPVIS/inst_english/node13.html#SECTION000112000000000000000" rel="external nofollow noreferrer">Hausdorff distance for object tracking and classification</a><br />Hausdorff<sup>&nbsp;</sup>distance used with a multi-layer perceptron&nbsp;<br />for recognizing and tracking cars in a road scene.</li>
<li><a href="http://www.ai.mit.edu/projects/vision-surgery/Research/9703-CVRMED-Eye/" rel="external nofollow noreferrer">Computer-vision-enabled ophthalmic augmented reality environment</a><br />An<sup>&nbsp;</sup>interesting application of Hausdorff distance for merging<br />partially overlapping images into a single image.</li>
<li><a href="http://cs.cornell.edu/Info/People/dph/cucs-colloq96/sld001.htm" rel="external nofollow noreferrer">Comparing 2D images of the 3D world</a><br />Conference<sup>&nbsp;</sup>material by&nbsp;<a href="http://www3.cs.cornell.edu/dph/docs/" rel="external nofollow noreferrer">Daniel Huttenlocher</a>&nbsp;on object recognition.<br />Briefly introduces some problems of image analysis, and compares<br />the generalized Hausdorff distance with more traditional methods.</li></ul></ul>
<p>endl;</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8kmky69.html">nginx配置文件或目录404和403</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9jx00eq.html">iOS 边框显示不完全</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xrwxm8.html">Rsync详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e1ewjj9.html">Java随学随记</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okj6l19.html">HMTL&mdash;表单</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yden5q.html">SVN 修改URL路径</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv75kxq.html">&lbrack;Java&rsqb;&lbrack;Android&rsqb;&lbrack;Process&rsqb; 暴力的服务能够解决一切，暴力的方式运行命令行语句</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1ldp38.html">c&plus;&plus;20道面试题</a>
		</li>
						<li><a href="https://www.batexi.com/a/96okvwj9.html">sharepoint 2010 如何使用sharepoint多媒体视频播放media webpart功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k17zy39.html">转。webapp开发小tips</a>
		</li>
						<li><a href="https://www.batexi.com/a/8oj00m1q.html">&lpar;汇总&rpar;os模块以及shutil模块对文件的操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlle0vxq.html">baidu-map</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gxwdzq.html">mysql 外键和子查询，视图</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdn4dd9.html">mybatis一级缓存</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j103xl9.html">Windows7环境下Excel2010中图片超链接默认打开程序修改</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1n7v49.html">luogu P3201 &lbrack;HNOI2009&rsqb;梦幻布丁</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwgww09.html">sevrlet进行用户名密码校验</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5wd74q.html">postgres 更新数据表</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw7pzv9.html">Excel技巧--使用温度计图让目标与实际对比更明显</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1y0m49.html">idea 安装mybatis plugin （mybatis插件）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q4jrx1nq.html">（转）无效的CurrentPageIndex 值。它必须大于等于0 且小于PageCount 解决方案</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdp06v9.html">President&amp;&num;39&semi;s Office</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjw0459.html">Linux vps服务器国产面板wdcp的安装和使用方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/90ro7wm9.html">LibreOJ &num;2006&period; 「SCOI2015」小凸玩矩阵 二分答案&plus;二分匹配</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rovp49.html">Raw Socket（原始套接字）实现Sniffer（嗅探）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwme2j9.html">Eclipse快捷键系列</a>
			</li>
						<li><a href="https://www.batexi.com/a/qllyjxeq.html">Linux 开启定时计划任务</a>
			</li>
						<li><a href="https://www.batexi.com/a/q25r5klq.html">jquery单行文字上下循环滚动</a>
			</li>
						<li><a href="https://www.batexi.com/a/95g6346q.html">windows 10 开发学习资料，Windows-universal-samples学习笔记系列一：App settings</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j1kmke9.html">Git及其二次开发</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
